package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 摄像头管理对象 t_camera
 *
 * @author luobo
 * @date 2021-10-03
 */
public class Camera extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 摄像头id */
    private Long cameraId;

    /**  名称 */
    @Excel(name = " 名称")
    private String name;

    /** ip地址 */
    @Excel(name = "ip地址")
    private String ipAddres;

    /** 端口 */
    @Excel(name = "端口")
    private Long port;

    /** 调用url */
    @Excel(name = "调用url")
    private String callUrl;

    /** 坐标lat */
    @Excel(name = "坐标lat")
    private String lat;

    /** 坐标lng */
    @Excel(name = "坐标lng")
    private String lng;

    /** 在线状态 */
    @Excel(name = "在线状态")
    private Integer onlineState;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    public void setCameraId(Long cameraId)
    {
        this.cameraId = cameraId;
    }

    public Long getCameraId()
    {
        return cameraId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setIpAddres(String ipAddres)
    {
        this.ipAddres = ipAddres;
    }

    public String getIpAddres()
    {
        return ipAddres;
    }
    public void setPort(Long port)
    {
        this.port = port;
    }

    public Long getPort()
    {
        return port;
    }
    public void setCallUrl(String callUrl)
    {
        this.callUrl = callUrl;
    }

    public String getCallUrl()
    {
        return callUrl;
    }
    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }
    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }
    public void setOnlineState(Integer onlineState)
    {
        this.onlineState = onlineState;
    }

    public Integer getOnlineState()
    {
        return onlineState;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("cameraId", getCameraId())
            .append("name", getName())
            .append("ipAddres", getIpAddres())
            .append("port", getPort())
            .append("callUrl", getCallUrl())
            .append("lat", getLat())
            .append("lng", getLng())
            .append("onlineState", getOnlineState())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("userName", getUserName())
            .append("password", getPassword())
            .toString();
    }
}
